Bug 840135 - [abrt] squid-3.2.0.16-1.fc17: __GI_raise: Process /usr/sbin/squid was killed by signal 6 (SIGABRT)
[abrt] squid-3.2.0.16-1.fc17: __GI_raise: Process /usr/sbin/squid was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
abrt_hash:adef78b13c17bc0bf0a324076cc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 16:16 EDT by Anthony Kehoe
Modified: 2013-08-01 01:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:16:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: open_fds (7.67 KB, text/plain)
2012-07-13 16:17 EDT, Anthony Kehoe
no flags Details
File: var_log_messages (9.52 KB, text/plain)
2012-07-13 16:17 EDT, Anthony Kehoe
no flags Details
File: maps (12.38 KB, text/plain)
2012-07-13 16:17 EDT, Anthony Kehoe
no flags Details
File: backtrace (7.60 KB, text/plain)
2012-07-13 16:17 EDT, Anthony Kehoe
no flags Details

  None (edit)
Description Anthony Kehoe 2012-07-13 16:16:59 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        (squid-1) -f /etc/squid/squid.conf
crash_function: __GI_raise
executable:     /usr/sbin/squid
kernel:         3.4.4-3.fc17.x86_64
pid:            12500
pwd:            /var/spool/squid
time:           Tue 03 Jul 2012 09:52:59 PM MST
uid:            0
username:       root

backtrace:      Text file, 7778 bytes
maps:           Text file, 12682 bytes
open_fds:       Text file, 7853 bytes
var_log_messages: Text file, 9751 bytes

build_ids:
:e44539064f3c5729fb067b9199a47b0e7e863d13
:b6d75088f555d197be1476cb1c580640826ae029
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:091927b7a315243a2ff0383dfca1fd2c665405bf
:0c861d4584a090c315010d8e5d9ab13ceb746ae5
:e99c86eb3485e54972f176ba34d78396596de7af
:e39eabcb2094dd49bba5251f69fce572b2bd7011
:318ff47751c8144098e1808396ab73dd48c1e7b4
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:bffbcd62e7590e0462384693e4d36fe8c6463b4a
:c028bd4d4e5f5ae122f2300193d9a08f103da6f7
:f64b7319b84d426ed547084bdb2577f4f596c18f
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:3d60535f052babb998bae4807bc992c5d15df5c4
:822e9b3523e8312240f41a25722d539bc77ed436
:73777e822e00ca152ffca281ab0ace0cb498ec48
:535ee166aabdb98e39b6ae2a7a8876780f2b29b5
:5f92e8b2b3dc57afe567d84ddb205df4de63ad8d
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:4d09d82785dab5f95c01b69bc0785145a5954d30
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:8d646f64cd4a6c19985423dfab9f8668c6af7f80
:5dd234206476b0387cd251598aa72a2c95c763c5
:1a262290abc47e43b15d179c909c389831958b90
:d74c5facc600e702f7e69f50ecea66c97b2bed77

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/system/squid.service
:2:cpuset:/
:1:name=systemd:/system/squid.service

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x17e05c xassert [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x1890c0 file_write [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x28f06a BlockingFile::write(WriteRequest*) [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x2beaf8 UFSStoreState::doWrite() [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x2bfe88 UFSStoreState::drainWriteQueue() [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x238e5f StoreEntry::swapOut() [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x22e0b8 StoreEntry::invokeHandlers() [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x1f847c MemObject::write(StoreIOBuffer, [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x23d6f2 ServerStateData::storeReplyBody(char [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x1cd4ff HttpStateData::writeReplyBody() [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x1ce22d HttpStateData::processReplyBody() [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x1d3948 HttpStateData::readReply(CommIoCbParams [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x1d5bea JobDialer<HttpStateData>::dial(AsyncCall&) [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x2a3c2d AsyncCall::make() [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x2a6a5d AsyncCallQueue::fireNext() [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x2a6c00 AsyncCallQueue::fire() [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x1968ec EventLoop::runOnce() [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x1969b8 EventLoop::run() [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x1f46ad SquidMain(int, [pie] -
:e44539064f3c5729fb067b9199a47b0e7e863d13 0x12d346 main [pie] -

dso_list:
:/usr/sbin/squid squid-7:3.2.0.16-1.fc17.x86_64 (Fedora Project) 1340512189
:/usr/lib64/libattr.so.1.1.0 libattr-2.4.46-5.fc17.x86_64 (Fedora Project) 1340505342
:/usr/lib64/libecap.so.2.0.0 libecap-0.2.0-3.fc17.x86_64 (Fedora Project) 1340512186
:/usr/lib64/libnsl-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340505337
:/usr/lib64/libcrypt-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340505337
:/usr/lib64/libnss_dns-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340505337
:/usr/lib64/libcap.so.2.22 libcap-2.22-2.fc17.x86_64 (Fedora Project) 1340505342
:/usr/lib64/libkrb5.so.3.3 krb5-libs-1.10.2-2.fc17.x86_64 (Fedora Project) 1340954373
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1340505342
:/usr/lib64/libcrypto.so.1.0.0j openssl-1:1.0.0j-1.fc17.x86_64 (Fedora Project) 1340508770
:/usr/lib64/libm-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340505337
:/usr/lib64/libnss_files-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340505337
:/usr/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.10.2-2.fc17.x86_64 (Fedora Project) 1340954373
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-7.fc17.x86_64 (Fedora Project) 1340505342
:/usr/lib64/libdl-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340505337
:/usr/lib64/libpthread-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340505337
:/usr/lib64/libkrb5support.so.0.1 krb5-libs-1.10.2-2.fc17.x86_64 (Fedora Project) 1340954373
:/usr/lib64/libssl.so.1.0.0j openssl-1:1.0.0j-1.fc17.x86_64 (Fedora Project) 1340508770
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340505337
:/usr/lib64/libfreebl3.so nss-softokn-freebl-3.13.4-2.fc17.x86_64 (Fedora Project) 1340505333
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1340505342
:/usr/lib64/libcom_err.so.2.1 libcom_err-1.42.3-2.fc17.x86_64 (Fedora Project) 1340508770
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1340505342
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4.2-3.fc17.x86_64 (Fedora Project) 1340505344
:/usr/lib64/libkeyutils.so.1.4 keyutils-libs-1.5.5-2.fc17.x86_64 (Fedora Project) 1340505347
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1340505328
:/usr/lib64/librt-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340505337
:/usr/lib64/libresolv-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340505337
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340505337
:/usr/lib64/libk5crypto.so.3.1 krb5-libs-1.10.2-2.fc17.x86_64 (Fedora Project) 1340954373
:/usr/lib64/libexpat.so.1.6.0 expat-2.1.0-1.fc17.x86_64 (Fedora Project) 1340505344

environ:
:SYSFONT=True
:PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
:LANG=en_US.UTF-8
:KEYTABLE=us
:BOOT_IMAGE=/vmlinuz-3.4.4-3.fc17.x86_64
:SQUID_SHUTDOWN_TIMEOUT=100
:SQUID_CONF=/etc/squid/squid.conf
:HOME=/var/spool/squid

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             15833                15833                processes 
:Max open files            16384                16384                files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15833                15833                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us
Comment 1 Anthony Kehoe 2012-07-13 16:17:02 EDT
Created attachment 598167 [details]
File: open_fds
Comment 2 Anthony Kehoe 2012-07-13 16:17:04 EDT
Created attachment 598168 [details]
File: var_log_messages
Comment 3 Anthony Kehoe 2012-07-13 16:17:05 EDT
Created attachment 598169 [details]
File: maps
Comment 4 Anthony Kehoe 2012-07-13 16:17:07 EDT
Created attachment 598170 [details]
File: backtrace
Comment 5 Fedora End Of Life 2013-07-03 21:07:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 01:17:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.